Get an artifact
curl --request GET \
--url https://useorgx.com/api/v1/artifacts/{artifactId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/artifacts/{artifactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/artifacts/{artifactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"artifact": {
"id": "3a2b1c0d-9e8f-4a7b-8c6d-5e4f3a2b1c0d",
"workspace_id": "11111111-1111-4111-8111-111111111111",
"name": "Launch plan review notes",
"artifact_type": "shared.project_handbook",
"artifact_url": "https://example.com/review.md",
"entity_type": "task",
"entity_id": "7fbb727d-17c4-4bc7-9fc7-60eb15e9314d",
"status": "draft",
"version": 1,
"created_at": "2026-08-19T15:10:00.000Z",
"updated_at": "2026-08-19T15:10:00.000Z"
},
"relationships": []
},
"meta": {
"apiVersion": "1"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Artifacts
Get an artifact
Read one artifact with its entity relationships.
GET
/
artifacts
/
{artifactId}
Get an artifact
curl --request GET \
--url https://useorgx.com/api/v1/artifacts/{artifactId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/artifacts/{artifactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/artifacts/{artifactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"artifact": {
"id": "3a2b1c0d-9e8f-4a7b-8c6d-5e4f3a2b1c0d",
"workspace_id": "11111111-1111-4111-8111-111111111111",
"name": "Launch plan review notes",
"artifact_type": "shared.project_handbook",
"artifact_url": "https://example.com/review.md",
"entity_type": "task",
"entity_id": "7fbb727d-17c4-4bc7-9fc7-60eb15e9314d",
"status": "draft",
"version": 1,
"created_at": "2026-08-19T15:10:00.000Z",
"updated_at": "2026-08-19T15:10:00.000Z"
},
"relationships": []
},
"meta": {
"apiVersion": "1"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}